
//**********************************
//  Draw random polygon
//**********************************
import javafx.application.Application;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.*;
import javafx.scene.paint.Color;
import javafx.scene.shape.*;
import javafx.stage.Stage;
import javafx.event.ActionEvent;
public class RandomPolygon extends Application 
{
    private Polygon currentPolygon;

    public void start(Stage primaryStage) 
    {
        Button addPoint = new Button("Add point");
        addPoint.setOnAction(this::newPoint);
        currentPolygon = new Polygon();
        currentPolygon.setFill(Color.GREEN);
        currentPolygon.setStroke(Color.RED);
        currentPolygon.setStrokeWidth(3);
        Group root = new Group(addPoint,currentPolygon);
        Scene scene = new Scene(root, 400, 400, Color.WHITE);
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public void newPoint(ActionEvent event)
    {
        currentPolygon.getPoints().addAll(Math.random()*300+50,Math.random()*300+50);
    }
}